<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetButtonImages Method (IEdmMenu5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmMenu5 Interface : GetButtonImages Method (IEdmMenu5)

Visual Basic
C#
C++/CLI

hDestImageList
  Handle of the image list (HIMAGELIST) to which to add images; the images are appended at the end of the list

eState
  State of buttons to get as defined in EdmButtonState

poItemIDArray
  Array of menu command IDs for which to get images

Gets the toolbar-button images of a range of commands.

# Syntax

Visual Basic |
--- | ---

    Sub GetButtonImages( _
       ByVal hDestImageList As System.Integer, _
       ByVal eState As EdmButtonState, _
       ByVal poItemIDArray() As System.Integer _
    )

C# |
--- | ---

    void GetButtonImages(
       System.int hDestImageList,
       EdmButtonState eState,
       System.int[] poItemIDArray
    )

C++/CLI |
--- | ---

    void GetButtonImages(
    &   System.int hDestImageList,
    &   EdmButtonState eState,
    &   System.array<int>^ poItemIDArray
    )

#### Parameters

hDestImageList
  Handle of the image list (HIMAGELIST) to which to add images; the images are appended at the end of the list
eState
  State of buttons to get as defined in EdmButtonState
poItemIDArray
  Array of menu command IDs for which to get images

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmMenu5 Interface
IEdmMenu5 Members
IEdmMenu6::GetItems Method ()

# Availability

Version 5.2 of SOLIDWORKS PDM Professional